
From: Anton Blanchard <anton@samba.org>

Plumb the NUMA API syscalls into ppc64.  Also add some missing cond_syscalls
so we still link with NUMA API disabled.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/misc.S   |   12 ++++++------
 25-akpm/include/asm-ppc64/unistd.h |    6 +++---
 25-akpm/kernel/sys.c               |    2 ++
 3 files changed, 11 insertions(+), 9 deletions(-)

diff -puN arch/ppc64/kernel/misc.S~ppc64-enable-numa-api arch/ppc64/kernel/misc.S
--- 25/arch/ppc64/kernel/misc.S~ppc64-enable-numa-api	2004-09-11 16:29:29.994993792 -0700
+++ 25-akpm/arch/ppc64/kernel/misc.S	2004-09-11 16:29:30.001992728 -0700
@@ -860,9 +860,9 @@ _GLOBAL(sys_call_table32)
 	.llong .sys_ni_syscall		/* 256 reserved for sys_debug_setcontext */
 	.llong .sys_ni_syscall		/* 257 reserved for vserver */
 	.llong .sys_ni_syscall		/* 258 reserved for new sys_remap_file_pages */
-	.llong .sys_ni_syscall		/* 259 reserved for new sys_mbind */
-	.llong .sys_ni_syscall		/* 260 reserved for new sys_get_mempolicy */
-	.llong .sys_ni_syscall		/* 261 reserved for new sys_set_mempolicy */
+	.llong .compat_mbind
+	.llong .compat_get_mempolicy	/* 260 */
+	.llong .compat_set_mempolicy
 	.llong .compat_sys_mq_open
 	.llong .sys_mq_unlink
 	.llong .compat_sys_mq_timedsend
@@ -1132,9 +1132,9 @@ _GLOBAL(sys_call_table)
 	.llong .sys_ni_syscall		/* 256 reserved for sys_debug_setcontext */
 	.llong .sys_ni_syscall		/* 257 reserved for vserver */
 	.llong .sys_ni_syscall		/* 258 reserved for new sys_remap_file_pages */
-	.llong .sys_ni_syscall		/* 259 reserved for new sys_mbind */
-	.llong .sys_ni_syscall		/* 260 reserved for new sys_get_mempolicy */
-	.llong .sys_ni_syscall		/* 261 reserved for new sys_set_mempolicy */
+	.llong .sys_mbind
+	.llong .sys_get_mempolicy	/* 260 */
+	.llong .sys_set_mempolicy
 	.llong .sys_mq_open
 	.llong .sys_mq_unlink
 	.llong .sys_mq_timedsend
diff -puN include/asm-ppc64/unistd.h~ppc64-enable-numa-api include/asm-ppc64/unistd.h
--- 25/include/asm-ppc64/unistd.h~ppc64-enable-numa-api	2004-09-11 16:29:29.995993640 -0700
+++ 25-akpm/include/asm-ppc64/unistd.h	2004-09-11 16:29:30.001992728 -0700
@@ -269,9 +269,9 @@
 /* Number 256 is reserved for sys_debug_setcontext */
 /* Number 257 is reserved for vserver */
 /* Number 258 is reserved for new sys_remap_file_pages */
-/* Number 259 is reserved for new sys_mbind */
-/* Number 260 is reserved for new sys_get_mempolicy */
-/* Number 261 is reserved for new sys_set_mempolicy */
+#define __NR_mbind		259
+#define __NR_get_mempolicy	260
+#define __NR_set_mempolicy	261
 #define __NR_mq_open		262
 #define __NR_mq_unlink		263
 #define __NR_mq_timedsend	264
diff -puN kernel/sys.c~ppc64-enable-numa-api kernel/sys.c
--- 25/kernel/sys.c~ppc64-enable-numa-api	2004-09-11 16:29:29.997993336 -0700
+++ 25-akpm/kernel/sys.c	2004-09-11 16:29:30.002992576 -0700
@@ -274,7 +274,9 @@ cond_syscall(compat_sys_mq_getsetattr)
 cond_syscall(sys_mbind)
 cond_syscall(sys_get_mempolicy)
 cond_syscall(sys_set_mempolicy)
+cond_syscall(compat_mbind)
 cond_syscall(compat_get_mempolicy)
+cond_syscall(compat_set_mempolicy)
 
 /* arch-specific weak syscall entries */
 cond_syscall(sys_pciconfig_read)
_
